package com.ruoyi.system.mapper.task;

import com.ruoyi.system.domain.task.TkCommonReceive;
import com.ruoyi.system.domain.task.TkCommonReceiveExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TkCommonReceiveMapper {
    long countByExample(TkCommonReceiveExample example);

    int deleteByExample(TkCommonReceiveExample example);

    int deleteByPrimaryKey(String id);

    int insert(TkCommonReceive record);

    int insertSelective(TkCommonReceive record);

    List<TkCommonReceive> selectByExample(TkCommonReceiveExample example);

    TkCommonReceive selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TkCommonReceive record, @Param("example") TkCommonReceiveExample example);

    int updateByExample(@Param("record") TkCommonReceive record, @Param("example") TkCommonReceiveExample example);

    int updateByPrimaryKeySelective(TkCommonReceive record);

    int updateByPrimaryKey(TkCommonReceive record);
}